### Method

# St Widget set_style_pseudo_class

#### Declaration [src]

    void
    st_widget_set_style_pseudo_class (
      StWidget* actor,
      const gchar* pseudo_class_list
    )

#### Description [src]

Set the style pseudo class list. `pseudo_class_list` can either be `NULL`, for no classes, or a space-separated list of pseudo class names. See also `st_widget_add_style_pseudo_class()` and st_widget_remove_style_pseudo_class().

#### Parameters

`pseudo_class_list`

  Type: `const gchar*`

  A new pseudo class list string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.